Bug 146634 - add VQ to the versioning api
add VQ to the versioning api
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: apireviews
issues@versioncontrol
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 11:53 UTC by Tomas Stupka
Modified: 2009-12-17 00:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
changes in VCS SPI (19.17 KB, patch)
2009-12-08 04:25 UTC, Tomas Stupka
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2008-09-09 11:53:58 UTC
the actual state is the each VCS exports it's own VQ implementation. Should be handled via VCS the same way as CQ
already is.
Comment 1 Tomas Stupka 2008-09-11 09:06:07 UTC
will fix after 6.5 release
Comment 2 Tomas Stupka 2009-12-08 04:20:19 UTC
Some Versioning systems provide a VisibilityQueryImplementation. This API change has two purposes:
1. There will be only one registered VQI (Versioning manager) that will delegate the query to the appropriate versioning system which will speed things up.
2. It makes it clear and explicit that implementors of a VersioningSystem might want to provide the query. It would be possible for them to just implement and register their own VisibilityQueryImplementation but they could easily forget to do that.
Comment 3 Tomas Stupka 2009-12-08 04:25:05 UTC
Created attachment 92257 [details]
changes in VCS SPI
Comment 4 Tomas Stupka 2009-12-15 07:34:42 UTC
fixed
http://hg.netbeans.org/cdev/rev/2692c13beefb
Comment 5 Quality Engineering 2009-12-17 00:11:48 UTC
Integrated into 'main-golden', will be available in build *200912170200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2692c13beefb
User: Tomas Stupka <tstupka@netbeans.org>
Log: minor cleanup
Issue #146634 - add VQ to the versioning api


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo